LIBS=\
	$(DBUS)/libdbus-1.a \
	$(OPENSSL)/libssl.a $(OPENSSL)/libcrypto.a \
	$(ZLIB)/libz.a -ldl \
	/usr/lib/libodbc.a -lpthread
LDFLAGS=-g

all: wvdbusd.so vxodbc.so vxodbc-test.so test-linker

wvdbusd.so: wvdbusd.o $(LIBWVSTATIC)
	@echo Linking $@...
	@$(CXX) -shared -o $@ \
		$(LDFLAGS) \
		$^ \
		-Wl,--soname,$@ \
 		-Wl,-z,defs,--version-script=wvdbusd.link \
		$(LIBS)

$(OBJS): configure config.h 

vxodbc.so: $(OBJS) $(LIBWVSTATIC)
	@echo Linking $@...
	@$(CXX) -shared -o $@ \
		$(LDFLAGS) \
		$^ \
		-Wl,--soname,$@ \
 		-Wl,-z,defs,--version-script=vxodbc.link \
		$(LIBS)

# Build a dynamically linked version suitable for use by unit tests
vxodbc-test.so: $(OBJS)
	@echo Linking $@...
	@$(CXX) -shared -o $@ \
		$(LDFLAGS) \
		$^ \
		-Wl,--soname,$@ \
		$(DYNLIBS)

linker-test: linker-test.o vxodbc.so
	@echo Linking $@...
	$(CXX) -o $@ $(LDFLAGS) $^

test-linker: linker-test
	LD_LIBRARY_PATH=. ./linker-test

test: vxodbc.so vxodbc-test.so
